---
title: HTMLImageElement.align
slug: Web/API/HTMLImageElement/align
tags:
  - API
  - Align
  - HTML
  - HTML DOM
  - HTMLImageElement
  - Image
  - Obsolete
  - Property
  - Reference
  - alignment
  - float
  - img
---
<p>{{APIRef("HTML DOM")}}{{obsolete_header}}</p>

<p><span class="seoSummary">The <em>obsolete</em> <code><strong>align</strong></code> property of the {{domxref("HTMLImageElement")}} interface is a string which indicates how to position the image relative to its container.</span> You should instead use the CSS propertiy {{cssxref("vertical-align")}}, which does in fact also work on images despite its name. You can also use the {{cssxref("float")}} property to float the image to the left or right margin.</p>

<p>The <code>align</code> property reflects the HTML {{htmlattrxref("align", "img")}} content attribute.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>htmlImageElement</em>.align = <em>alignMode</em>;
<em>alignMode</em> = <em>htmlImageElement</em>.align;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} specifying one of the following strings which set the alignment mode for the image.</p>

<h4 id="Baseline_alignment">Baseline alignment</h4>

<p>These three values specify the alignment of the element relative to the text baseline. These should be replaced by using the CSS {{cssxref("vertical-align")}} property.</p>

<dl>
 <dt><code>bottom</code></dt>
 <dd>The bottom edge of the image is to be aligned vertically with the current text baseline. <strong>Default value.</strong></dd>
 <dt><code>middle</code></dt>
 <dd>The center of the object should be aligned vertically with the current baseline.</dd>
 <dt><code>top</code></dt>
 <dd>The top edge of the object should be aligned vertically with the current baseline.</dd>
</dl>

<p>It may be worth noting that {{cssxref("vertical-align")}} offers several additional options for its value; you may wish to consider these when changing your code to use it.</p>

<h4 id="Floating_images_horizontally">Floating images horizontally</h4>

<p>The <code>left</code> and <code>right</code> properties don't affect the baseline-relative alignment. Instead, they cause the image to "float" to the left or right margin, allowing the following text to flow around the image. You should instead use the CSS {{cssxref("float")}} property, specifying as the value either <code>left</code> or <code>right</code>.</p>

<dl>
 <dt><code>left</code></dt>
 <dd>Floats the image over to place the left edge flush against the curent margin. Any text that follows will flow against the image's right edge.</dd>
 <dt><code>right</code></dt>
 <dd>Floats the image to place its right edge flush against the right margin. Subsequent text will flow along the image's left edge.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#attr-img-align', 'HTMLImageElement.align')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("HTML4.01", "struct/objects.html#adef-align-IMG", "HTMLImageElement.align")}}</td>
   <td>{{Spec2("HTML4.01")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.align")}}</p>
